<?php
   /*
   Plugin Name: Mod-files Tuning Files Catalog
   Plugin URI: https://www.mod-files.com
   Description: Our database is contaning the power, torque difference between stock and modified gain for every car brand, model, engine, horsepower, when you will put this api in your website you can get same or customed car configuration on your website.
   Version: 2.0
   Author: Mod-files.com
   Author URI: https://www.mod-files.com
   License: GPL2
   */
  

/** UPDATE  */
require 'plugin-update-checker/plugin-update-checker.php';


class UBY_TUNINGFILES_CATALOG_PLUGIN
{

    public $full_title = "AAAAAAA";
    public $currency_codes = array(
        "USD" => array(
            "name" => "US Dollar",
            "symbol" => "$"
        ),
        "EUR" => array(
            "name" => "Euro",
            "symbol" => "€"
        ),
        "GBP" => array(
            "name" => "Pound Sterling",
            "symbol" => "£"
        ),
        "CHF" => array(
            "name" => "Swiss Franc",
            "symbol" => "₣"
        ),
        "DZD" => array(
            "name" => "Algerian Dinar",
            "symbol" => "DA"
        )
        );
    /**
     * __construct
     * 
     * @access public
     *
     * @return mixed Value.
     */
    public function __construct()
    {
        
        include_once plugin_dir_path( __FILE__ ).'/manager.php';
        new UBY_MANAGER();

        include_once plugin_dir_path( __FILE__ ).'catalog_dispatcher.php';
        // new UBY_catalog_dispatcher();

        wp_enqueue_script('jquery');
        add_action('admin_print_styles', array( $this , 'init_style'));
        add_action('wp_enqueue_style', array( $this , 'init_style_plugins'));
       
    }
    
 
    

    public function init_style(){

         wp_enqueue_style( 'defaultStylePlugin', plugins_url( '/css/style.css?v='.time(), __FILE__ ) );
    }
    public function init_style_plugins(){

         wp_register_style('your_namespace', plugins_url('css/tuningfilescatalog.css',__FILE__ ));
         wp_enqueue_style('your_namespace');
    }

   
}
/******************************
 * Initialisation 
 ******************************/ 


$updateChecker = Puc_v4_Factory::buildUpdateChecker(
  'https://gitlab.com/uby/tuningfilescatalog.git',
  __FILE__,
  'chiptuning-api-wordpress-plugin'
);

$updateChecker->setBranch('v2.2');



new UBY_TUNINGFILES_CATALOG_PLUGIN();
register_activation_hook(__FILE__, array('UBY_MANAGER', 'install')); // ce fait correctement 
register_uninstall_hook(__FILE__, array('UBY_MANAGER', 'uninstall'));// pas encore teste

?>